Subject: Re: bug#21465: [PATCH] CC-modes hierarchy

From: Stefan Monnier <[email-masked]>
Date: Sun, 13 Sep 2015 09:25:53 -0400

> It is not clear to me how to adapt a 3rd party derived mode to
> this.

Hmm... I'm missing something.  I don't see how your problem is linked to
my patch?

> For mode derivation, either I have

> (define-derived-mode foo++-mode c++-mode "Foo++"
>  ...)

> In which case there will be a parent c++-mode-map and a C++ menu present

But that's already the case with the code in (say) Emacs-24, no?

> when there shouldn't be, or:
> (define-derived-mode foo++-mode c-derivative-mode "Foo++"
>  ...)
> and fontification is broken.

How is it broken?

        Stefan